Skip to main content
GET
Get web form

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

id
string
required

Web Form Id.

Response

OK

id
string

Web Form Id.

name
string

Web Form name.

channel
enum<string>

Communication channel.

Available options:
SMS,
VIBER,
FACEBOOK_MESSENGER,
WHATSAPP,
RCS,
UNKNOWN,
EMAIL,
MULTICHANNEL,
NO_CHANNEL,
LIVE_CHAT,
UNUSED,
VOICE,
VIDEO,
APPLE_BUSINESS_CHAT,
LINE,
GOOGLE_BUSINESS_MESSAGES,
TELEGRAM,
CALLS,
INTERNAL,
FACEBOOK_POST,
INSTAGRAM_POST,
TWITTER_POST,
VIBER_BOT,
INSTAGRAM_MESSAGING,
GOOGLE_PLAY,
KAKAO_SANGDAM,
TWITTER_DM,
WHATSAPP_CALLS,
VIBER_CALLS,
OPEN_CHANNEL,
TIKTOK,
ZALO
destination
string

Web Form destination.

url
string

Web Form URL.

enabled
boolean

Web Form enable/disable toggle.

tagIds
string[]

List of tag Ids used on the Web Form.

List of tag Ids used on the Web Form.

createdAt
string<date-time>

Time stamp when Web Form is created.

updatedAt
string<date-time>

Time stamp when Web Form was updated.